<?php
$title = 'Настройки птиц';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {

    echo '<div class="title">Настройки птиц</div>';

    $strow = $connect->prepare("select * from `birds` where `id` = ?");
    $stmt_buyed = $connect->prepare("select count(*) from `u_birds` where `bid` = ?");

    if (isset($_GET['del'])) {
        $strow->execute(array($_GET['del']));
        $row = $strow->fetch();
        if ($row) {
            $stmt_buyed->execute(array($_GET['del']));
            if ($stmt_buyed->fetchColumn()) {
                header('Location: /adm/birds');
            } else {
                $file = GlobFiles::findById($row['id'], GlobFiles::Birds);
                if (isset($_POST['cancel'])) {
                    header('Location: /adm/birds');
                }
                elseif (isset($_POST['ok'])) {
                    $del = $connect->prepare("delete from `birds` where `id` = ?");
                    if ($del->execute(array($_GET['del']))) {
                        if ($file)
                            unlink($file);
                        header('Location: /adm/birds');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="ok" value="Удалить ('.intval($_GET['del']).')">
                <input type="submit" name="cancel" value="Отмена">
                </form></div>';
            }
        } else {
            header('Location: /adm/birds');
        }
    }
    elseif (isset($_GET['edit'])) {
        $strow->execute(array($_GET['edit']));
        $row = $strow->fetch();
        if ($row) {
            $file = GlobFiles::findById($row['id'], GlobFiles::Birds);
            if (isset($_POST['cancel'])) {
                header('Location: /adm/birds');
            }
            elseif (isset($_POST['ok'])) {
                $error = '';
                if (file_exists($_FILES['filename']['tmp_name']) && !BeforeUpload::AttachPicture($_FILES['filename'])) {
                    $error.= 'Неверный тип файла!<br/>';
                }
                if (empty($_POST['name'])) {
                    $error.= 'Введите имя птицы!<br/>';
                }
                elseif (mb_strlen($_POST['name']) > 75) {
                    $error.= 'Имя птицы должно содержать не более 75 символов!<br/>';
                }
                if (empty($_POST['cena'])) {
                    $error.= 'Введите стоимость птицы!<br/>';
                }
                elseif ($_POST['cena'] < 0.01) {
                    $error.= 'Стоимость птицы не может быть меньше 0.01!<br/>';
                }
                if (empty($_POST['eags'])) {
                    $error.= 'Введите доходность!<br/>';
                }
                if ($error) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("update `birds` set `name` = ?, `cena` = ?, `eags` = ?, `live` = ? where `id` = ?");
                    if ($stmt->execute(array($_POST['name'], floatval(abs($_POST['cena'])), intval(abs($_POST['eags'])), intval(abs($_POST['live'])), $_GET['edit']))) {
                        if (file_exists($_FILES['filename']['tmp_name'])) {
                            if ($file)
                                unlink($file);
                            $files = $row['id']."_".random_int(11111, 99999)."_".$_FILES['filename']['name'];
                            move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/birds/".$files);
                        }
                        header('Location: /adm/birds');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            echo '<div class="menu">
            <form action="" method="POST" enctype="multipart/form-data">
            Иконка птицы:'.($file ? iconFile($file).'<a data-noajax href="/files/birds/'.basename($file).'">'.basename($file).'</a> ('.get_filesize($file).')' : '').'<br/><input type="file" name="filename"><br/>
            Имя птицы:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
            Стоимость:<br/><input type="text" name="cena" value="'.$row['cena'].'"><br/>
            Доходность (Яиц в час):<br/><input type="text" name="eags" value="'.$row['eags'].'"><br/>
            Жизнь (В днях, 0 - бессмертная):<br/><input type="text" name="live" value="'.$row['live'].'"><br/>
            <input type="submit" name="ok" value="Сохранить ('.intval($_GET['edit']).')">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        } else {
            header('Location: /adm/birds');
        }
    }

    if ($count_birds == 0) {
        echo '<div class="menu">NONE</div>';
    } else {

        $page = new Pagination($count_birds, 10);

        $data = $connect->prepare("select * from `birds` order by `id` desc limit :start, 10");
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $file = GlobFiles::findById($row['id'], GlobFiles::Birds);

            $stmt_buyed->execute(array($row['id']));
            $buyed = $stmt_buyed->fetchColumn();

            echo '<div class="menu">
            '.($file ? '<img src="/files/birds/'.basename($file).'" alt="bird"><br/>' : '<div class="forbidden">ICON_NOT_FOUND</div>').'
            ID: '.$row['id'].'<br/>
            Имя птицы: '.$row['name'].'<br/>
            Стоимость: '.rub($row['cena']).'<br/>
            Доходность: '.quantDec($row['eags'], ['яйцо', 'яйца', 'яиц']).' в час<br/>
            Жизнь: '.($row['live'] ? quantDec($row['live'], ['день', 'дня', 'дней']) : 'бессмертная').'<br/>
            Куплено юзерами: '.$buyed.' шт.<br/>
            <div class="butt2">
            '.(!$buyed ? '<a href="?del='.$row['id'].'">Удалить</a>' : '').'
            <a href="?edit='.$row['id'].'">Редактировать</a>
            </div>
            </div>';

        }

        $page->navigation();

    }

    echo '<div class="title">Новая птица</div>';

    if (isset($_POST['newbird'])) {
        $error = '';
        if (!file_exists($_FILES['filename']['tmp_name'])) {
            $error.= 'Вы не выбрали иконку птицы!<br/>';
        }
        elseif (!BeforeUpload::AttachPicture($_FILES['filename'])) {
            $error.= 'Неверный тип файла!<br/>';
        }
        if (empty($_POST['name'])) {
            $error.= 'Введите имя птицы!<br/>';
        }
        elseif (mb_strlen($_POST['name']) > 75) {
            $error.= 'Имя птицы должно содержать не более 75 символов!<br/>';
        }
        if (empty($_POST['cena'])) {
            $error.= 'Введите стоимость птицы!<br/>';
        }
        elseif ($_POST['cena'] < 0.01) {
            $error.= 'Стоимость птицы не может быть меньше 0.01!<br/>';
        }
        if (empty($_POST['eags'])) {
            $error.= 'Введите доходность!<br/>';
        }
        if ($error) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $stmt = $connect->prepare("insert into `birds` set `name` = ?, `cena` = ?, `eags` = ?, `live` = ?");
            if ($stmt->execute(array($_POST['name'], floatval(abs($_POST['cena'])), intval(abs($_POST['eags'])), intval(abs($_POST['live']))))) {
                $lid = $connect->LastInsertId();
                $files = $lid."_".random_int(11111, 99999)."_".$_FILES['filename']['name'];
                move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/birds/".$files);
                header('Location: /adm/birds');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }

    echo '<div class="menu">
    <form action="" method="POST" enctype="multipart/form-data">
    Иконка птицы:<br/><input type="file" name="filename"><br/>
    Имя птицы:<br/><input type="text" name="name"><br/>
    Стоимость:<br/><input type="text" name="cena"><br/>
    Доходность (Яиц в час):<br/><input type="text" name="eags"><br/>
    Жизнь (В днях, 0 - бессмертная):<br/><input type="text" name="live" value="0"><br/>
    <input type="submit" name="newbird" value="Добавить">
    </form></div>';

} else {
    header('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>