-- 
-- Структура таблицы `birds`
-- 
DROP TABLE IF EXISTS `birds`;
CREATE TABLE IF NOT EXISTS `birds` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(75) NOT NULL,
  `cena` float(11,2) NOT NULL,
  `eags` int(11) NOT NULL,
  `live` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `birds`
  (`id`, `name`, `cena`, `eags`, `live`)
    VALUES
  ('1', 'Коричневая', '10', '1', '15'),
  ('2', 'Зелёная', '50', '6', '45'),
  ('3', 'Синяя', '100', '13', '100'),
  ('4', 'Красная', '300', '38', '250'),
  ('5', 'Золотая', '500', '70', '365');

-- 
-- Структура таблицы `u_birds`
-- 
DROP TABLE IF EXISTS `u_birds`;
CREATE TABLE IF NOT EXISTS `u_birds` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `bid` bigint(20) UNSIGNED NOT NULL,
  `time` bigint(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


-- 
-- Структура таблицы `authlog`
-- 
DROP TABLE IF EXISTS `authlog`;
CREATE TABLE IF NOT EXISTS `authlog` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `key` text NOT NULL,
  `time` bigint(11) NOT NULL,
  `lasttime` bigint(11) NOT NULL,
  `ip` varchar(50) NOT NULL,
  `ua` varchar(250) NOT NULL,
  `attempts` int(11) NOT NULL,
  `status` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `speedpass`
-- 
DROP TABLE IF EXISTS `speedpass`;
CREATE TABLE IF NOT EXISTS `speedpass` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `key` text NOT NULL,
  `time` bigint(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `vote`
-- 
DROP TABLE IF EXISTS `vote`;
CREATE TABLE IF NOT EXISTS `vote` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `text` varchar(500) NOT NULL,
  `did` bigint(20) UNSIGNED NOT NULL,
  `type` tinyint(3) NOT NULL,
  `anon` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `answers`
-- 
DROP TABLE IF EXISTS `answers`;
CREATE TABLE IF NOT EXISTS `answers` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `text` varchar(250) NOT NULL,
  `vid` bigint(20) UNSIGNED NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `choice`
-- 
DROP TABLE IF EXISTS `choice`;
CREATE TABLE IF NOT EXISTS `choice` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `ans` bigint(20) UNSIGNED NOT NULL,
  `vid` bigint(20) UNSIGNED NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `notifications`
-- 
DROP TABLE IF EXISTS `notifications`;
CREATE TABLE IF NOT EXISTS `notifications` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `text` text NOT NULL,
  `time` bigint(11) NOT NULL,
  `new` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `respect`
-- 
DROP TABLE IF EXISTS `respect`;
CREATE TABLE IF NOT EXISTS `respect` (
  `from` bigint(20) UNSIGNED NOT NULL,
  `to` bigint(20) UNSIGNED NOT NULL,
  `review` tinyint(3) NOT NULL,
  `type` tinyint(3) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `blacklist`
-- 
DROP TABLE IF EXISTS `blacklist`;
CREATE TABLE IF NOT EXISTS `blacklist` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `black` bigint(20) UNSIGNED NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `news`
-- 
DROP TABLE IF EXISTS `news`;
CREATE TABLE IF NOT EXISTS `news` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `time` bigint(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `text` text NOT NULL, 
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `comments`
-- 
DROP TABLE IF EXISTS `comments`;
CREATE TABLE IF NOT EXISTS `comments` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `date` bigint(11) NOT NULL,
  `read` tinyint(3) NOT NULL DEFAULT '0',
  `uid` bigint(20) UNSIGNED NOT NULL,
  `text` text NOT NULL,
  `did` bigint(20) UNSIGNED NOT NULL,
  `type` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `friend`
-- 
DROP TABLE IF EXISTS `friend`;
CREATE TABLE IF NOT EXISTS `friend` (
  `from` bigint(20) UNSIGNED NOT NULL,
  `to` bigint(20) UNSIGNED NOT NULL,
  `point` int(11) NOT NULL,
  `status` tinyint(3) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `contacts`
-- 
DROP TABLE IF EXISTS `contacts`;
CREATE TABLE IF NOT EXISTS `contacts` (
  `from` bigint(20) UNSIGNED NOT NULL,
  `to` bigint(20) UNSIGNED NOT NULL,
  `time` bigint(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `mail`
-- 
DROP TABLE IF EXISTS `mail`;
CREATE TABLE IF NOT EXISTS `mail` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `from` bigint(20) UNSIGNED NOT NULL,
  `to` bigint(20) UNSIGNED NOT NULL,
  `text` text NOT NULL,
  `time` bigint(11) NOT NULL,
  `read` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `plus`
-- 
DROP TABLE IF EXISTS `plus`;
CREATE TABLE IF NOT EXISTS `plus` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `donater` bigint(20) UNSIGNED NOT NULL,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `sum` float(11,2) NOT NULL,
  `num` int(11) NOT NULL,
  `time` bigint(11) NOT NULL,
  `type` tinyint(3) NOT NULL,
  `status` tinyint(3) NOT NULL,
  `thanks` tinyint(3) NOT NULL,
  `comment` varchar(500) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `payment`
-- 
DROP TABLE IF EXISTS `payment`;
CREATE TABLE IF NOT EXISTS `payment` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) UNSIGNED NOT NULL,
  `money` float(11,2) NOT NULL,
  `wmr` varchar(13) NOT NULL,
  `time` bigint(11) NOT NULL,
  `status` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Структура таблицы `users`
-- 
DROP TABLE IF EXISTS `users`;
CREATE TABLE IF NOT EXISTS `users` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `datereg` bigint(11) NOT NULL,
  `login` varchar(25) NOT NULL,
  `pass` text NOT NULL,
  `email` varchar(35) NOT NULL,
  `active` tinyint(3) NOT NULL,
  `captcha` bigint(11) NOT NULL,
  `attempts` int(11) NOT NULL,
  `where` varchar(250) NOT NULL,
  `wid` bigint(20) NOT NULL,
  `timezone` varchar(99) NOT NULL,
  `status` varchar(250) NOT NULL,
  `birth` varchar(50) NOT NULL,
  `hd` tinyint(3) NOT NULL DEFAULT '1',
  `info` varchar(250) NOT NULL,
  `pol` tinyint(3) NOT NULL,
  `name` varchar(75) NOT NULL,
  `wmr` varchar(15) NOT NULL,
  `wmid` varchar(15) NOT NULL,
  `admin` tinyint(3) NOT NULL DEFAULT '0',
  `adm_pos` varchar(150) NOT NULL,
  `color1` varchar(25) NOT NULL,
  `color2` varchar(25) NOT NULL,
  `fmail` tinyint(3) NOT NULL DEFAULT '1',
  `ban` bigint(11) NOT NULL,
  `ref` bigint(20) UNSIGNED NOT NULL,
  `money` float(11,2) NOT NULL,
  `serebro` int(11) NOT NULL,
  `eags` int(11) NOT NULL,
  `limit` int(11) NOT NULL,
  `rating` float(11,1) NOT NULL,
  `memory_serf` int(11) NOT NULL,
  `memory_task` int(11) NOT NULL,
  `chatlog` bigint(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;